diff options
author | Natanael Copa <ncopa@alpinelinux.org> | 2009-02-09 15:36:30 +0000 |
---|---|---|
committer | Natanael Copa <ncopa@alpinelinux.org> | 2009-02-09 15:36:30 +0000 |
commit | 845ce1efa4afc4f093bd7e46e979c20c8e13a408 (patch) | |
tree | 28de4e4602089163b6b7ad112c72831887eb31e2 /extra/libgcrypt | |
parent | 1bb6b0f1a5d8b0126891cbe8356e6a41607471ea (diff) | |
download | aports-845ce1efa4afc4f093bd7e46e979c20c8e13a408.tar.bz2 aports-845ce1efa4afc4f093bd7e46e979c20c8e13a408.tar.xz |
extra/libgcrypt: new aport
general purpose crypto library based on the code used in GnuPG
http://www.gnupg.org
Diffstat (limited to 'extra/libgcrypt')
-rw-r--r-- | extra/libgcrypt/APKBUILD | 29 | ||||
-rw-r--r-- | extra/libgcrypt/nocxx.patch | 15 |
2 files changed, 44 insertions, 0 deletions
diff --git a/extra/libgcrypt/APKBUILD b/extra/libgcrypt/APKBUILD new file mode 100644 index 00000000..53368d13 --- /dev/null +++ b/extra/libgcrypt/APKBUILD @@ -0,0 +1,29 @@ +# Maintainer: Natanael Copa <ncopa@alpinelinux.org> +pkgname=libgcrypt +pkgver=1.4.3 +pkgrel=0 +pkgdesc="general purpose crypto library based on the code used in GnuPG" +url="http://www.gnupg.org" +license="LGPL" +depends="libgpg-error" +makedepends="libgpg-error-dev texinfo" +subpackages="$pkgname-dev $pkgname-doc" +source="ftp://ftp.franken.de/pub/crypt/mirror/ftp.gnupg.org/gcrypt/$pkgname/$pkgname-$pkgver.tar.bz2 + nocxx.patch" + +build () { + cd "$srcdir"/$pkgname-$pkgver + + msg "Punting useless cpp checks..." + patch configure < "$srcdir"/nocxx.patch || return 1 + + ./configure --prefix=/usr \ + --disable-padlock-support \ + --disable-static + + make || return 1 + make -j1 DESTDIR="$pkgdir" install || return 1 + rm -f ${pkgdir}/usr/share/info/dir +} +md5sums="46e50e811ed51f1e0e8dd677dded967d libgcrypt-1.4.3.tar.bz2 +28513788ba4d556ccd538867dc6205ab nocxx.patch" diff --git a/extra/libgcrypt/nocxx.patch b/extra/libgcrypt/nocxx.patch new file mode 100644 index 00000000..beb1ab90 --- /dev/null +++ b/extra/libgcrypt/nocxx.patch @@ -0,0 +1,15 @@ +--- a/configure 2004-12-07 21:34:23.205172545 +0000 ++++ b/configure 2004-12-07 21:37:17.726654782 +0000 +@@ -5148,10 +5148,8 @@ + : + else + { { echo "$as_me:$LINENO: error: C++ preprocessor \"$CXXCPP\" fails sanity check +-See \`config.log' for more details." >&5 +-echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check +-See \`config.log' for more details." >&2;} +- { (exit 1); exit 1; }; } ++See \`config.log' for more details." >&5;} ++ { echo "C++ sucks, ignoring ..." >&5; }; } + fi + + ac_ext=cc |